Ankündigung

Einklappen
Keine Ankündigung bisher.

TYPO3 per Composer installieren

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    TYPO3 per Composer installieren

    Hallo zusammen,
    ich habe folgendes Problem:
    Ich möchte gerne die neueste TYPO3-Version über Composer installieren. Im Kundencenter ist die php-Version auf 7.4 gestellt. Wenn ich nun in der Konsole TYPO3 per Composer installieren lassen möchte, bekomme ich diese Fehler.

    PHP Parse error: syntax error, unexpected '?', expecting function (T_FUNCTION) or const (T_CONST) in /kunden/xxxx/webseiten/t3-11/public/typo3/sysext/core/Classes/Package/PackageManager.php on line 113

    Parse error: syntax error, unexpected '?', expecting function (T_FUNCTION) or const (T_CONST) in /kunden/xxxx/webseiten/t3-11/public/typo3/sysext/core/Classes/Package/PackageManager.php on line 113
    composer create-project "typo3/cms-base-distribution:^11.5" t3-11 2.22s user 5.49s system 162% cpu 4.732 total

    Nachdem ich die php-Version per php -v geprüft habe, weiß ich, dass php 7.3 aktiv ist. Liegt es daran? Die Installation von TYPO3 10 ging ohne Probleme. Wie kann ich die php-Version in der Konsole ändern?

    Danke und schöne Grüße

    #2
    Halo de-ag,

    die PHP-Version auf der Kommandozeile ist unabhängig von der Einstellung im Kundenmenü und kann nur generell durch uns für alle Kunden geändert werden. Für die Installation könnten sie den Tipp hier nutzen:

    https://forum.df.eu/forum/user-f%C3%...=6923#post6923

    Ansonsten können Sie natürlich auch andere PHP-Versionen auf der Kommandozeile aufrufen. Wie das geht, ist hier beschrieben:

    https://www.df.eu/de/support/df-faq/...kriptsprachen/

    Mit freundlichen Grüßen

    Nils Dornblut
    Blog - Facebook - Twitter
    Communitybetreiber: domainfactory GmbH
    Impressum / Pflichtangaben

    Kommentar

    Lädt...
    X